org.apache.ignite.internal.processors.cache

## Interface GridCacheSharedManager<K,V>

All Known Implementing Classes:
  GridCacheDeploymentManager, GridCacheIoManager, GridCacheMvccManager, GridCachePartitionExchangeManager, GridCacheSharedManagerAdapter, GridCacheVersionManager, IgniteTxManager

    public interface GridCacheSharedManager<K,V>

Cache manager shared across all caches.

### Method Summary

Methods
`void` `onKernalStart()`
`void` `onKernalStop(boolean cancel)`
`void` `printMemoryStats()` Prints memory statistics (sizes of internal data structures, etc.).
`void` `start(GridCacheSharedContext<K,V> cctx)` Starts manager.
`void` `stop(boolean cancel)` Stops manager.

### Method Detail

#### start

    void start(GridCacheSharedContext<K,V> cctx)
               throws IgniteCheckedException

Starts manager.

Parameters:
  `cctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### stop

    void stop(boolean cancel)

Stops manager.

Parameters:
  `cancel` - Cancel flag.

#### onKernalStart

    void onKernalStart()
                       throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop

    void onKernalStop(boolean cancel)

Parameters:
  `cancel` - Cancel flag.

#### printMemoryStats

    void printMemoryStats()

Prints memory statistics (sizes of internal data structures, etc.). NOTE: this method is for testing and profiling purposes only.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015